> ## Documentation Index
> Fetch the complete documentation index at: https://docs.generect.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update companies

> Enrich or update your database with detailed company information from a provided URL, domain or company name.

Parallel requests limit: 50 requests

Recommended timeout: 60 seconds

# Use Case:

Add verified company details to your records for better segmentation and targeting.

# Additional Information:

* 100 Parallel processing available (multiple threads)

* Supported input urls example:

  * [https://www.linkedin.com/company/cisco](https://www.linkedin.com/company/cisco)

  * [https://www.linkedin.com/company/cisco/](https://www.linkedin.com/company/cisco/)

  * [https://www.linkedin.com/school/jcsuniversity/](https://www.linkedin.com/school/jcsuniversity/)

  * linkedin.com/company/cisco

  * [https://in.linkedin.com/company/cisco](https://in.linkedin.com/company/cisco)

  * linkedin.com/pub/cisco

  * linkedin.com/pub-profile/cisco

  * [https://www.linkedin.com/pub-profile/…](https://www.linkedin.com/pub-profile/%E2%80%A6)

  * [https://www.linkedin.com/company/9491418](https://www.linkedin.com/company/9491418)

  * [https://www.linkedin.com/sales/company/9491418](https://www.linkedin.com/company/9491418)

* In case of response with `500 status code`, please send request again

* Custom Parameter: `people_also_viewed` allows to fetch up to 20 similar companies, costs 1 additional credit

* Custom Parameter: `people_also_follow` allows to fetch last 20 followed companies, costs 1 additional credit

* Custom Parameter: `posts` allows to fetch last 20 posts, costs 1 additional credit

* Multiple parameters pass are allowed (`posts` + `people_also_follow` + `people_also_viewed`)


## OpenAPI

````yaml post /api/linkedin/companies/by_link/
openapi: 3.0.3
info:
  title: Generect API
  description: >-
    Welcome to the Generect API documentation. Here we will help you integrate
    and use our API.


    API base url: `api.generect.com`  

    Protocol: `HTTPS`


    # Authentication


    Firstly, add a `API Token` to the enviroment variables `auth_token` in
    `Settings` tab.


    # Rate limits


    Credits: You can request data depending on your data plan and credit
    balance. The default is 10000/month. The estimated number of credits to
    spend is based on the complexity of the query and the number of results. The
    amount spent can be increased by additional data flags in the queries.


    # Note


    _Ensure that you are add a "/" to the end of url._
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.generect.com
security:
  - apiKey: []
tags:
  - name: 1. Auth
    description: Login and get user info
  - name: 2. Transactions
    description: List of latest transactions in your account
  - name: 3. Leads
    description: Fetch information about leads by _link/name/ICP_.
  - name: 4. Companies
    description: Fetch information about companies by link/name/ICP.
paths:
  /api/linkedin/companies/by_link/:
    post:
      tags:
        - 4. Companies
      summary: Get Company by link
      description: >-
        Enrich or update your database with detailed company information from a
        provided URL, domain or company name.
      operationId: getCompanyByLink
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                url:
                  type: string
                people_also_viewed:
                  type: boolean
                  description: Include people also viewed data (+1 credit)
                people_also_follow:
                  type: boolean
                posts:
                  type: boolean
                  description: Include posts data (+1 credit)
              required:
                - url
                - people_also_viewed
                - people_also_follow
                - posts
            examples:
              Get Company by link:
                value:
                  url: >-
                    https://www.linkedin.com/company/a2-aprende-y-aplica-capacitaciГіn
                  people_also_viewed: true
                  people_also_follow: false
                  posts: true
      responses:
        '200':
          description: '200'
          headers:
            Allow:
              schema:
                type: string
                example: POST, OPTIONS
            Content-Length:
              schema:
                type: string
                example: '1918'
            Cross-Origin-Opener-Policy:
              schema:
                type: string
                example: same-origin
            Date:
              schema:
                type: string
                example: Mon, 02 Dec 2024 21:55:14 GMT
            Referrer-Policy:
              schema:
                type: string
                example: same-origin
            Server:
              schema:
                type: string
                example: WSGIServer/0.2 CPython/3.11.10
            Vary:
              schema:
                type: string
                example: Accept, Origin
            X-Content-Type-Options:
              schema:
                type: string
                example: nosniff
            X-Frame-Options:
              schema:
                type: string
                example: DENY
            djdt-store-id:
              schema:
                type: string
                example: 31890c37311043a089c11732738015df
          content:
            application/json:
              schema:
                type: object
                properties:
                  amount:
                    type: number
                    example: -1
                  company:
                    type: object
                    properties:
                      background_image:
                        type: string
                        example: >-
                          https://media.licdn.com/dms/image/v2/C561BAQG9Ktb_CKMogA/company-background_10000/company-background_10000/0/1585429294192/a2_aprende_y_aplica_capacitacin_cover?e=1733781600&v=beta&t=Ob5IiQY2u18mTXsF8DXY3zI2rYoPhYGX5gG_EWJeams
                      company_type:
                        type: string
                        example: Educational
                      crunchbase_urn:
                        nullable: true
                        example: null
                      default_locale:
                        type: string
                        example: es
                      description:
                        type: string
                        example: "La mision de A2 es hacer de la capacitacion en las empresas el principal motor de la productividad de su gente.\r\n\r\nCreemos que una capacitacion no solo debe de consistir de un simple curso, sino que el curso debe de ser parte de un proceso mas grande que resulte en mejoras de procedmientos, correccion de errores e innovacion interna."
                      domain:
                        type: string
                        example: a2capacitacion.com
                      founded_year:
                        type: number
                        example: 2009
                      groups:
                        type: array
                        items: {}
                        example: []
                      hashtags:
                        type: array
                        items:
                          type: string
                          example: spreadsheets
                        example:
                          - spreadsheets
                          - spreadsheet
                          - microsoftexcel
                      headcount_exact:
                        type: number
                        example: 14
                      headcount_range:
                        type: string
                        example: 1-10
                      hq_additional_info:
                        type: string
                        example: La Estancia
                      hq_city:
                        type: string
                        example: Zapopan
                      hq_country:
                        type: string
                        example: Mexico
                      hq_country_code:
                        type: string
                        example: MX
                      hq_postal_code:
                        type: string
                        example: '45030'
                      hq_state:
                        type: string
                        example: Jalisco
                      hq_street:
                        type: string
                        example: Hector Berlioz 5691
                      industry:
                        type: string
                        example: Education Management
                      is_claimable:
                        type: boolean
                        example: false
                      linkedin_id:
                        type: string
                        example: '10403092'
                      linkedin_link:
                        type: string
                        example: >-
                          https://www.linkedin.com/company/a2-aprende-y-aplica-capacitaci-n/
                      linkedin_urn:
                        type: string
                        example: a2-aprende-y-aplica-capacitaci-n
                      location:
                        type: string
                        example: Zapopan, Jalisco, Mexico
                      logo_url:
                        type: string
                        example: >-
                          https://media.licdn.com/dms/image/v2/D560BAQGn4NkVFt7_cw/company-logo_200_200/company-logo_200_200/0/1712690269654/a2_aprende_y_aplica_capacitacin_logo?e=1741219200&v=beta&t=fCAoQ1xShF-4JtIpqUahalzYnHDEUUttqNG0CyByF3o
                      name:
                        type: string
                        example: A2 Aprende y Aplica Capacitacion
                      number_of_locations:
                        type: number
                        example: 1
                      other_locations_json:
                        type: array
                        items: {}
                        example: []
                      phone_number:
                        nullable: true
                        example: null
                      raw_name:
                        type: string
                        example: A2 Aprende y Aplica Capacitación
                      showcase_pages:
                        nullable: true
                        example: null
                      source:
                        type: string
                        example: company_by_link
                      specialities:
                        type: array
                        items:
                          type: string
                          example: Capacitacion
                        example:
                          - Capacitacion
                          - Consultoria en Educacion
                          - Diseno de Materiales Educativos
                          - Excel
                      tagline:
                        type: string
                        example: |
                          Haz Magia con Excel
                      website:
                        type: string
                        example: http://www.a2capacitacion.com
              examples:
                '200':
                  value:
                    amount: -1
                    company:
                      background_image: >-
                        https://media.licdn.com/dms/image/v2/C561BAQG9Ktb_CKMogA/company-background_10000/company-background_10000/0/1585429294192/a2_aprende_y_aplica_capacitacin_cover?e=1733781600&v=beta&t=Ob5IiQY2u18mTXsF8DXY3zI2rYoPhYGX5gG_EWJeams
                      company_type: Educational
                      crunchbase_urn: null
                      default_locale: es
                      description: "La mision de A2 es hacer de la capacitacion en las empresas el principal motor de la productividad de su gente.\r\n\r\nCreemos que una capacitacion no solo debe de consistir de un simple curso, sino que el curso debe de ser parte de un proceso mas grande que resulte en mejoras de procedmientos, correccion de errores e innovacion interna."
                      domain: a2capacitacion.com
                      founded_year: 2009
                      groups: []
                      hashtags:
                        - spreadsheets
                        - spreadsheet
                        - microsoftexcel
                      headcount_exact: 14
                      headcount_range: 1-10
                      hq_additional_info: La Estancia
                      hq_city: Zapopan
                      hq_country: Mexico
                      hq_country_code: MX
                      hq_postal_code: '45030'
                      hq_state: Jalisco
                      hq_street: Hector Berlioz 5691
                      industry: Education Management
                      is_claimable: false
                      linkedin_id: '10403092'
                      linkedin_link: >-
                        https://www.linkedin.com/company/a2-aprende-y-aplica-capacitaci-n/
                      linkedin_urn: a2-aprende-y-aplica-capacitaci-n
                      location: Zapopan, Jalisco, Mexico
                      logo_url: >-
                        https://media.licdn.com/dms/image/v2/D560BAQGn4NkVFt7_cw/company-logo_200_200/company-logo_200_200/0/1712690269654/a2_aprende_y_aplica_capacitacin_logo?e=1741219200&v=beta&t=fCAoQ1xShF-4JtIpqUahalzYnHDEUUttqNG0CyByF3o
                      name: A2 Aprende y Aplica Capacitacion
                      number_of_locations: 1
                      other_locations_json: []
                      phone_number: null
                      raw_name: A2 Aprende y Aplica Capacitación
                      showcase_pages: null
                      source: company_by_link
                      specialities:
                        - Capacitacion
                        - Consultoria en Educacion
                        - Diseno de Materiales Educativos
                        - Excel
                      tagline: |
                        Haz Magia con Excel
                      website: http://www.a2capacitacion.com
        '400':
          description: 400 (Bad url)
          headers:
            Allow:
              schema:
                type: string
                example: POST, OPTIONS
            Content-Length:
              schema:
                type: string
                example: '147'
            Cross-Origin-Opener-Policy:
              schema:
                type: string
                example: same-origin
            Date:
              schema:
                type: string
                example: Mon, 02 Dec 2024 21:55:47 GMT
            Referrer-Policy:
              schema:
                type: string
                example: same-origin
            Server:
              schema:
                type: string
                example: WSGIServer/0.2 CPython/3.11.10
            Vary:
              schema:
                type: string
                example: Accept, Origin
            X-Content-Type-Options:
              schema:
                type: string
                example: nosniff
            X-Frame-Options:
              schema:
                type: string
                example: DENY
            djdt-store-id:
              schema:
                type: string
                example: 0450519dba5f40beb0cb3c6e778dac29
          content:
            application/json:
              schema:
                type: object
                properties:
                  amount:
                    type: number
                    example: 0
                  detail:
                    type: string
                    example: Bad url
                  input_url:
                    type: string
                    example: >-
                      https://www.facebook.com/company/a2-aprende-y-aplica-capacitación
                  status:
                    type: string
                    example: error
                  status_code:
                    type: number
                    example: 400
              examples:
                400 (Bad url):
                  value:
                    amount: 0
                    detail: Bad url
                    input_url: >-
                      https://www.facebook.com/company/a2-aprende-y-aplica-capacitación
                    status: error
                    status_code: 400
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization
      description: Use 'Token <api-key>' as the value

````